#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N;
    scanf("%i",&N);
    int A[N];
    double P[N], maks, maksimum[N], trenutniMaksimum, trenutniA = 0, trenutniP = 0;

    for(int i=0;i<N;i++)
        scanf("%i %lf",&A[i],&P[i]);

    for(int i=0;i<N;i++){
        trenutniA = A[i];
        trenutniP = P[i];
        trenutniMaksimum = A[i];
        maksimum[i] = trenutniMaksimum;

        for(int j=0;j<N;j++){
            if(i != j && P[j] >= trenutniP)
                maksimum[i]+=A[j];
        }
        maksimum[i]*=trenutniP/100;
    }

    maks = maksimum[0];

    for(int i=0;i<N;i++)
        if(maksimum[i]>maks)
            maks = maksimum[i];

    printf("%lf\n",maks);

    return 0;
}